/*
 * Copyright (c) 2003 Jens Mueller
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

/**
 	Abstract superclass of <code>GatewayDataRequest</code>. Implementing get-requests on
 	trap-data would best be done by deriving from <code>GatewayGetRequest</code> to a
 	new class <code>GatewayTrapRequest</code>

 	@author Jens Mueller
 */

import org.dom4j.Document;
import java.io.PrintWriter;
import java.util.Vector;

public abstract class GatewayGetRequest
{	
	protected Vector _contextRequestVector;
		
//	private GwComplexType gwComplexType;

//	private GwComplexType gwComplexType1;

	public GatewayGetRequest()
	{
		_contextRequestVector = new Vector();
	}
	
	public Vector getContextReqVector()
	{
		return _contextRequestVector;
	}

	public String buildResponse( MibRepositoryHandler repHandler ) 
															throws RequestExecutionException { return null; }
	
	public Document getResponseDocument() { return null; } 
	
	public void dump( PrintWriter writer ) {}

/*
	public GwComplexType getGwComplexType()
	{
		return gwComplexType;
	}

	public void setGwComplexType(GwComplexType gwComplexType)
	{
		this.gwComplexType = gwComplexType;
	}

	public GwComplexType getGwComplexType1()
	{
		return gwComplexType1;
	}

	public void setGwComplexType1(GwComplexType gwComplexType1)
	{
		this.gwComplexType1 = gwComplexType1;
	}
*/
}